summaryrefslogtreecommitdiffstats
path: root/system/dar
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 17:45:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:07 +0200
commit3cb5713e5357006b386c0e9cee3f7352a9347947 (patch)
tree6d494306583de0f9f65ba5a8275a5a9fc46e16bf /system/dar
parent38581d7a67068199906f04c5a37932d4f8115b07 (diff)
downloadslackbuilds-3cb5713e5357006b386c0e9cee3f7352a9347947.tar.gz
slackbuilds-3cb5713e5357006b386c0e9cee3f7352a9347947.tar.xz
system/dar: Updated for version 2.3.9
Diffstat (limited to 'system/dar')
-rw-r--r--system/dar/dar.SlackBuild30
-rw-r--r--system/dar/dar.info8
-rw-r--r--system/dar/slack-desc2
3 files changed, 25 insertions, 15 deletions
diff --git a/system/dar/dar.SlackBuild b/system/dar/dar.SlackBuild
index 7e007dfc79..6137df4124 100644
--- a/system/dar/dar.SlackBuild
+++ b/system/dar/dar.SlackBuild
@@ -6,10 +6,10 @@
# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -24,16 +24,16 @@
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
# consistency with other scripts in our repository
-# Modified slightly further by Erik Hanson <erik@slackbuilds.org>
# No additional license terms added :-)
-
+
PRGNAM=dar
-VERSION=2.3.8
+VERSION=2.3.9
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -41,8 +41,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -64,6 +69,7 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc \
@@ -72,12 +78,14 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-upx
make
-make DESTDIR=$PKG install-strip
+make install DESTDIR=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
- | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
- | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
diff --git a/system/dar/dar.info b/system/dar/dar.info
index 6bd1f22d6b..1d9b0c7ad5 100644
--- a/system/dar/dar.info
+++ b/system/dar/dar.info
@@ -1,8 +1,8 @@
PRGNAM="dar"
-VERSION="2.3.8"
+VERSION="2.3.9"
HOMEPAGE="http://dar.linux.free.fr/"
-DOWNLOAD="http://downloads.sourceforge.net/dar/dar-2.3.8.tar.gz"
-MD5SUM="6c0d383c22df0e1816e860153f60d746"
+DOWNLOAD="http://downloads.sourceforge.net/dar/dar-2.3.9.tar.gz"
+MD5SUM="8dcfa94b7bac139cab05291f00c74bd3"
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="Erik Hanson"
+APPROVED="dsomero"
diff --git a/system/dar/slack-desc b/system/dar/slack-desc
index f569fdcccd..8dd94b0ffe 100644
--- a/system/dar/slack-desc
+++ b/system/dar/slack-desc
@@ -16,3 +16,5 @@ dar: API called libdar which makes it easy to program a gui interface.
dar:
dar: Homepage: http://dar.linux.free.fr/
dar:
+dar:
+